Subject: [bug#67902] [PATCH 00/95] PHP package chain.

From: Nicolas Graves <[email-masked]>
Date: Sat, 06 Apr 2024 00:43:37 +0200

On 2024-04-05 22:12, Ludovic Courtès wrote:

> Hey Nicolas,
>
> Wilko Meyer <[email-masked]> skribis:
>
>> I applied v1 of the patchset and the one patch of v2 locally, which
>> worked pretty well. Patch 01/95 introducing abfngen got rejected, so I
>> manually applied the changes:
>
> [...]
>
>> However I cannot get phpunit to be build successfully as one dependency
>> php-doctrine-instantiator seems to be faulty. I'm not too familiar
>> with guixes composer/php build system, but as far as I can see it fails
>> while creating the autoload_conf.php:
>
> Could you look into these issues?

Hi Ludo,

As far as I remember, it did work on my side after the patches I sent on
19th December.

Most likely these remaining errors come from those faulty parts, so I'll
suggest reviewing them and confirming that phpunit indeed builds rather
than further investigating from there.

These were the patches concerned :

      - "first" here is 67895
      - "second" here is 67898 v2
      - the packages are in 67902, only with the 02/95 patch in a v2.

      >>>> It would also be nice if the updater would fill in the ‘inputs’ fields
      >>>> of <upstream-source>: that would allow ‘guix refresh -u’ to
      >>>> automatically update inputs.
      >
      > I'll try to give it a look now.

      This is now done in 67906.

I've seen the review in 67898 which I'll address in a v3.
IIRC, 67898 depends on 67895.

>
> I know nothing about PHP but I’m happy to apply the patch series when
> the two of you tell me it’s ready.
>
> Thanks,
> Ludo’.

-- 
Best regards,
Nicolas Graves